Package org.eclipse.rdf4j.common.text

## Class StringUtil

- java.lang.Object
- - org.eclipse.rdf4j.common.text.StringUtil

-     public class StringUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `appendN​(char c, int n, StringBuilder sb)` | Appends the specified character n times to the supplied StringBuilder.
    `static String` | `gsub​(String olds, String news, String text)` | Deprecated. use `instead`.
    `static void` | `simpleEscapeIRI​(String str, Appendable appendable, boolean escapeUnicode)` | Escapes a string to a (mostly) conforming IRI value and append it to the appendable.
    `static String` | `trimDoubleQuotes​(String text)` | Removes the double quote from the start and end of the supplied string if it starts and ends with this character.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtil

          public StringUtil()

  - ### Method Detail

    - #### gsub

          @Deprecated
          public static String gsub​(String olds,
                                    String news,
                                    String text)

      Deprecated.
      use `instead`.
      Substitute String "old" by String "new" in String "text" everywhere. This is a static util function that I could not place anywhere more appropriate. The name of this function is from the good-old awk time.
      Parameters:
        `olds` - The String to be substituted.
        `news` - The String is the new content.
        `text` - The String in which the substitution is done.
      Returns:
        The result String containing the substitutions; if no substitutions were made, the result is 'text'.

    - #### simpleEscapeIRI

          public static void simpleEscapeIRI​(String str,
                                             Appendable appendable,
                                             boolean escapeUnicode)
                                      throws IOException

      Escapes a string to a (mostly) conforming IRI value and append it to the appendable. Non-ASCII (valid) values can optionally be numerically encoded by setting escapeUnicode to true. Most characters that are invalid in an IRI - like a white space or control character - are percent-encoded. This is slightly faster than `ParsedIRI.create(String)` for valid IRI (without percents) and much faster for IRI with invalid (percent-encoded) characters, though it is less accurate.
      Parameters:
        `str` -
        `appendable` -
        `escapeUnicode` - escape non-ASCII values numerically
      Throws:
        `IOException`

    - #### appendN

          public static void appendN​(char c,
                                     int n,
                                     StringBuilder sb)

      Appends the specified character n times to the supplied StringBuilder.
      Parameters:
        `c` - The character to append.
        `n` - The number of times the character should be appended.
        `sb` - The StringBuilder to append the character(s) to.

    - #### trimDoubleQuotes

          public static String trimDoubleQuotes​(String text)

      Removes the double quote from the start and end of the supplied string if it starts and ends with this character. This method does not create a new string if text doesn't start and end with double quotes, the text object itself is returned in that case.
      Parameters:
        `text` - The string to remove the double quotes from.
      Returns:
        The trimmed string, or a reference to text if it did not start and end with double quotes.